#!/usr/bin/env python3
#
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0


import sys

if sys.argv[1] == '--test':
    sys.argv.pop(1)
    import doctest
    e = doctest.testmod(sys.modules['actions_includes'])
    e += doctest.testmod(sys.modules['actions_includes.expressions'])
    sys.exit(e)
else:
    from . import main
    sys.exit(main(sys.argv))
